Bug 521411 - setroubleshoot: SELinux is preventing abrtd "write" access on /var/cache/abrt.
Summary: setroubleshoot: SELinux is preventing abrtd "write" access on /var/cache...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:e5734bd333c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-05 14:45 UTC by Nicolas Mailhot
Modified: 2018-04-11 14:43 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-06 19:59:53 UTC


Attachments (Terms of Use)

Description Nicolas Mailhot 2009-09-05 14:45:27 UTC
The following was filed automatically by setroubleshoot:

Résumé:

SELinux is preventing abrtd "write" access on /var/cache/abrt.

Description détaillée:

[abrtd has a permissive type (initrc_t). This access was not denied.]

SELinux denied access requested by abrtd. It is not expected that this access is
required by abrtd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Autoriser l'accès:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Informations complémentaires:

Contexte source               system_u:system_r:initrc_t:s0
Contexte cible                system_u:object_r:abrt_var_cache_t:s0
Objets du contexte            /var/cache/abrt [ dir ]
source                        abrtd
Chemin de la source           /usr/sbin/abrtd
Port                          <Inconnu>
Hôte                         (removed)
Paquetages RPM source         abrt-0.0.8.5-1.fc12
Paquetages RPM cible          abrt-0.0.8.5-1.fc12
Politique RPM                 selinux-policy-3.6.30-2.fc12
Selinux activé               True
Type de politique             targeted
MLS activé                   True
Mode strict                   Enforcing
Nom du plugin                 catchall
Nom de l'hôte                (removed)
Plateforme                    Linux (removed) 2.6.31-0.203.rc8.git2.fc12.x86_64
                              #1 SMP Fri Sep 4 21:33:05 EDT 2009 x86_64 x86_64
Compteur d'alertes            12
Première alerte              sam. 05 sept. 2009 16:16:03 CEST
Dernière alerte              sam. 05 sept. 2009 16:28:50 CEST
ID local                      b5131b68-c82e-4ffc-9c98-b10c5d0cda60
Numéros des lignes           

Messages d'audit bruts        

node=(removed) type=AVC msg=audit(1252160930.27:52): avc:  denied  { write } for  pid=1739 comm="abrtd" name="abrt" dev=dm-3 ino=163192 scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:abrt_var_cache_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1252160930.27:52): avc:  denied  { add_name } for  pid=1739 comm="abrtd" name="kerneloops-1252160930-1.lock" scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:abrt_var_cache_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1252160930.27:52): avc:  denied  { create } for  pid=1739 comm="abrtd" name="kerneloops-1252160930-1.lock" scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:abrt_var_cache_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1252160930.27:52): avc:  denied  { write open } for  pid=1739 comm="abrtd" name="kerneloops-1252160930-1.lock" dev=dm-3 ino=147843 scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:abrt_var_cache_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1252160930.27:52): arch=c000003e syscall=2 success=yes exit=0 a0=11b3548 a1=c1 a2=1a0 a3=1 items=0 ppid=1 pid=1739 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="abrtd" exe="/usr/sbin/abrtd" subj=system_u:system_r:initrc_t:s0 key=(null)


audit2allow suggests:

#============= initrc_t ==============
allow initrc_t abrt_var_cache_t:dir { write add_name };
allow initrc_t abrt_var_cache_t:file { write create open };

Comment 1 Daniel Walsh 2009-09-06 19:59:53 UTC
Fixed in selinux-policy-3.6.30-4.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.